FROM python:3.8

RUN apt-get update -y

RUN apt-get install -y sudo locales
RUN sed -i -e 's/# en_US.UTF-8 UTF-8/en_US.UTF-8 UTF-8/' /etc/locale.gen && locale-gen

RUN locale-gen en_US.UTF-8
ENV LANG='en_US.UTF-8' LANGUAGE='en_US:en' LC_ALL='en_US.UTF-8'

RUN pip3 install pipenv

ENV USER dockeruser
RUN useradd -ms /bin/bash $USER

ENV APP_PATH /home/$USER/my_flask_app
RUN mkdir -p $APP_PATH
COPY . $APP_PATH
WORKDIR $APP_PATH

RUN chown -R $USER:$USER $APP_PATH
RUN chown -R $USER:$USER $APP_PATH && chmod +x $APP_PATH/celery_entry_point.sh

RUN pipenv install --system --deploy --ignore-pipfile

USER $USER

ENTRYPOINT ["./celery_entry_point.sh"]